Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

My Battle.net account only contains World of Warcraft and The Burning Crusade. However, I've noticed that I can create a Worgen character, even without the later expansions installed. Why is this?

share|improve this question
    
Are you asking if you have to buy LK and Cata. Or are you asking if you can play a Worgen? –  leety Sep 18 '12 at 19:43
    
No, I only have BC but I can play a worgen. So why do I need LK and Cat to play a Monk when I get Panderia? –  Kent Sep 18 '12 at 19:45
    
You should have to have upgraded to Cata to be able to play a Worgen (unless they changed something recently?). Easiest way to check what version(s) you have is to just go to battle.net then go to your account and click on Warcraft. If you only have BC on that account and you can make a Worgen, I'm not sure how that is happening. If this is the case, I'm guessing Blizzard will find out about it for Panda's and probably fix it. –  leety Sep 18 '12 at 19:48
    
No - this is now normal behaviour, since the release of the Mists of Pandaria pre-patch, all races are available to all players regardless of product level, meaning if you have Vanilla+TBC/Battle Chest you can still create a Worgen, Goblin, and - with the release of MoP, Pandaren. –  kalina Sep 26 '12 at 0:50

2 Answers 2

With the release of 5.0.4, all races except Pandaren are now available to all no matter what expansions they have on their account.

Once Mists of Pandaria is released, you will also be able to make Pandaren.

share|improve this answer
    
In your source it also mentions that pandaren will be available regardless of which expansion you own by time MoP comes out. –  leety Sep 18 '12 at 19:59
    
@leety I also edited it in when I added the source, but Mark was a bit fast with his first edit –  Blem Sep 18 '12 at 20:00
    
Someone suggested an edit during the 5 minute edit grace period: I didn't catch that, so when I approved and improved it as normal, it caused havoc when you edited during the grace period. Sorry! –  user3389 Sep 18 '12 at 20:01
    
Thanks to all. I found out I had LK installed too. Forgot I had it. Still don't remember when I got it but hey that was 3 years ago right! Guess I need Caty before I get Panderia –  Kent Sep 19 '12 at 17:13
    
@Kent if you use scroll of resurrection you get cata for free, but I guess you have already activated since you know you can make worgan –  Blem Sep 19 '12 at 17:27

Races are no longer locked to expansions. You can download the free-to-play version of WoW and create a character of any race available in the game.


Classes which were introduced in expansions are still locked to those expansions.

You must have Wrath of the Lich King to make a Death Knight (as well as meeting the other requirements).

You must have Mists of Pandaria to make a Monk.

Note: all Subscribers automatically get Wrath and Cataclysm.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.